package javax.xml.ws;

import java.lang.annotation.Documented;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;
import java.lang.annotation.ElementType;
import java.lang.annotation.Target;

@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface WebServiceClient {
    public abstract String name() default "";
    
    public abstract String targetNamespace() default "";
    
    public abstract String wsdlLocation() default "";
}
